# mako-babel

> A [mako][mako] plugin that transpiles ES6 code using [babel][babel].

[![npm version][npm-badge]][npm]
[![build status][travis-badge]][travis]
[![coverage][coveralls-badge]][coveralls]
[![npm dependencies][david-badge]][david]
[![npm dev dependencies][david-dev-badge]][david-dev]
[![code style][standard-badge]][standard]

## Purpose

 - transpiles `file.contents` using babel
 - can output inline source-maps which [mako-js](https://github.com/makojs/js) respects during packing
 - respects `.babelrc` files for configuration (assumes `node_modules` are precompiled)

## API

### babel(options)

Available `options` include:
 - `extensions`: a list of extensions to compile. (default: `js`)
 - `only`: a whitelist of files (globs, functions and regex allowed) to compile (takes precedence over `ignore`)
 - `ignore`: a blacklist of files to compile
 - `sourceMaps`: turn on to enable source maps
 - `plugins`: list of plugins to include when running babel
 - `presets`: list of presets to include when running babel

This plugin does not expose a lot of configuration, as using a `.babelrc` file is encouraged.

**NOTE:** by default, this module ignores anything in `node_modules` by default. Any modules should be precompiled
before being published to NPM. If there is enough demand for it, I will consider adding configuration for other
workflows. (although I will point out it is discouraged by the babel team as far as I can tell)


[mako]: https://github.com/makojs/core
[babel]: http://babeljs.io/
[coveralls]: https://coveralls.io/github/makojs/babel
[coveralls-badge]: https://img.shields.io/coveralls/makojs/babel.svg
[david]: https://david-dm.org/makojs/babel
[david-badge]: https://img.shields.io/david/makojs/babel.svg
[david-dev]: https://david-dm.org/makojs/babel#info=devDependencies
[david-dev-badge]: https://img.shields.io/david/dev/makojs/babel.svg
[npm]: https://www.npmjs.com/package/mako-babel
[npm-badge]: https://img.shields.io/npm/v/mako-babel.svg
[standard]: http://standardjs.com/
[standard-badge]: https://img.shields.io/badge/code%20style-standard-brightgreen.svg
[travis]: https://travis-ci.org/makojs/babel
[travis-badge]: https://img.shields.io/travis/makojs/babel.svg
